package org.evelsoft.test.beans;

import javax.annotation.PostConstruct;
import javax.ejb.Stateless;
import javax.interceptor.Interceptors;
import org.evelsoft.test.interceptors.EJBInterceptor;

/**
 * EJB Bean -  Interceptor is enabled on all methods (ejb-jar.xml).
 *
 */
@Interceptors(EJBInterceptor.class)
@Stateless
public class HelloWorldBeanClassEJBIntercepted extends HelloWorldBean {

	@PostConstruct
	@Override
	protected void init() {
		System.out.println(HelloWorldBeanClassEJBIntercepted.class.getName() + " was inicjalized");
	}

}
