package org.evelsoft.test.beans;

import javax.annotation.PostConstruct;
import javax.ejb.Stateless;
import org.evelsoft.test.interceptors.WeldInterceptorBinding;

/**
 * EJB Bean - Weld Interceptor is enabled on all method
 *
 */
@WeldInterceptorBinding
@Stateless
public class HelloWorldBeanClassWeldIntercepted extends HelloWorldBean {

	@PostConstruct
	@Override
	protected void init() {
		System.out.println(HelloWorldBeanClassWeldIntercepted.class.getName() + " was inicjalized");
	}
}
