package org.evelsoft.test.beans;

import javax.annotation.PostConstruct;
import javax.ejb.Stateless;
import javax.interceptor.Interceptors;
import org.evelsoft.test.interceptors.EJBInterceptor;

/**
 * EJB Bean -  Interceptor is enabled on all methods (ejb-jar.xml).
 *
 */
@Stateless

public class HelloWorldBeanMethodIEJBntercepted extends HelloWorldBean {

	@PostConstruct
	@Override
	protected void init() {
		System.out.println(HelloWorldBeanMethodIEJBntercepted.class.getName() + " was inicjalized");
	}
	
	@Interceptors(EJBInterceptor.class)
	@Override
	public Integer incrementNumber(Integer c) {
		return c++;
	}

}
