package org.evelsoft.test.beans;

import javax.annotation.PostConstruct;
import javax.ejb.Stateless;
import org.evelsoft.test.interceptors.WeldInterceptorBinding;

/**
 * EJB Bean - Weld Interceptor is enabled on all method
 *
 */

@Stateless
public class HelloWorldBeanMethodWeldIntercepted extends HelloWorldBean {

	@PostConstruct
	@Override
	protected void init() {
		System.out.println(HelloWorldBeanMethodWeldIntercepted.class.getName() + " was inicjalized");
	}
	
	@WeldInterceptorBinding
	@Override
	public Integer incrementNumber(Integer c) {
		return c++;
	}
}
