package org.evelsoft.test.interceptors;

import java.lang.annotation.Inherited;
import static java.lang.annotation.RetentionPolicy.RUNTIME;
import static java.lang.annotation.ElementType.TYPE;
import static java.lang.annotation.ElementType.METHOD;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;
import javax.interceptor.InterceptorBinding;

/**
 *
 * @author wojtask9
 */

@Target({TYPE, METHOD})
@Retention(RUNTIME)
@InterceptorBinding
@Inherited
public @interface WeldInterceptorBinding {

	String value() default "";
}
